"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var moment = require("moment");
var zhLocale = require("date-fns/locale/zh_cn");
var DatePickerComponent = (function () {
    function DatePickerComponent() {
        this.dateChangeEvent = new core_1.EventEmitter();
        moment.locale('zh-cn');
    }
    Object.defineProperty(DatePickerComponent.prototype, "options", {
        get: function () {
            return this._options;
        },
        set: function (v) {
            this._options = v;
            this._options.locale = zhLocale;
        },
        enumerable: true,
        configurable: true
    });
    DatePickerComponent.prototype.setDate = function () {
        this.dateChangeEvent.emit(this.date);
    };
    DatePickerComponent.prototype.ngOnChanges = function (changes) {
    };
    DatePickerComponent.decorators = [
        { type: core_1.Component, args: [{
                    selector: 'dc-date-picker',
                    template: "\n    <div>\n      <ng-datepicker [(ngModel)]=\"date\" [options]=\"_options\" (ngModelChange)=\"setDate()\"></ng-datepicker>\n    </div>\n  ",
                    styles: ["\n  :host /deep/ .ngx-datepicker-input{\n    width: 100px !important;\n    height: 24px;\n  }\n    :host /deep/ .ngx-datepicker-calendar-container{\n      z-index: 20;\n    }\n"],
                },] },
    ];
    /** @nocollapse */
    DatePickerComponent.ctorParameters = function () { return []; };
    DatePickerComponent.propDecorators = {
        "date": [{ type: core_1.Input },],
        "dateChangeEvent": [{ type: core_1.Output },],
        "options": [{ type: core_1.Input },],
    };
    return DatePickerComponent;
}());
exports.DatePickerComponent = DatePickerComponent;
//# sourceMappingURL=date.picker.component.js.map