"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var LeftSideComponent = (function () {
    function LeftSideComponent() {
        this.toogleSide = new core_1.EventEmitter();
        this.sideShow = true;
    }
    LeftSideComponent.prototype.ngOnInit = function () {
    };
    LeftSideComponent.prototype.toogleLeftSide = function () {
        this.sideShow = !this.sideShow;
        this.toogleSide.emit(this.sideShow);
    };
    LeftSideComponent.decorators = [
        { type: core_1.Component, args: [{
                    selector: 'app-left-side',
                    template: "<div [class.hideSide]=\"!sideShow\">\n  <div>\n    <button (click)=\"toogleLeftSide()\">\u70B9\u6211\u9690\u85CFleft side</button>\n  </div>\n  <ul>\n    <li *ngFor=\"let d of item\">\n      <a class=\"testcss\" [routerLink]=\"[d.routLink]\">\n        {{d.name}}\n      </a>\n      <ul *ngIf=\"d.children\">\n        <li *ngFor=\"let dc of d.children\">\n          <a [routerLink]=\"[dc.routLink]\">\n            {{dc.name}}\n          </a>\n        </li>\n      </ul>\n    </li>\n  </ul>\n</div>\n",
                    styles: [
                        '.testcss {background: url("../../assets/img/gaojing.png") no-repeat left center transparent;padding-left: 20px;}',
                        '.hideSide {width: 20px;overflow: hidden;}'
                    ]
                },] },
    ];
    /** @nocollapse */
    LeftSideComponent.ctorParameters = function () { return []; };
    LeftSideComponent.propDecorators = {
        "item": [{ type: core_1.Input },],
        "toogleSide": [{ type: core_1.Output },],
    };
    return LeftSideComponent;
}());
exports.LeftSideComponent = LeftSideComponent;
//# sourceMappingURL=left.side.component.js.map